Ga naar de inhoud
AchaduDevelopers
Operationele APIGa naar website
Dashboard
Developers/API/store_update
Winkel

Winkel bijwerken

Updates slaan identiteit, thema, netwerken en privacy op.

PATCH/storestore:write

Verzoek

namestring · bodyWinkelnaam.optioneel
taglinestring · bodyHoofdzin.optioneel
logostring · bodyLogo-URL.optioneel
coverstring · bodyOmslag-URL.optioneel
faviconstring · bodyIcoon-URL.optioneel
aboutstring · bodyWinkelbeschrijving.optioneel
themeobject · bodyVisuele tokens.optioneel
socialobject · bodySociale banden.optioneel
privacyobject · bodyPublieke voorkeuren.optioneel
badgeboolean · bodyGeeft zegel weer.optioneel
activeboolean · bodyPubliceer de winkel.optioneel

Voorbeeld

curl
curl -X PATCH 'https://achadu.com/api/v1/store' \
+  -H 'Authorization: Bearer ach_live_...' \
+  -H 'Accept: application/json' \
+  -H 'Content-Type: application/json' \
+  --data '{
  "name": "My integration",
  "tagline": "string",
  "logo": "https://cdn.example.com/image.jpg"
}'

Antwoord

200Operatie voltooid
4xxFout met code, bericht en request_id